## org.eclipse.datatools.modelbase.sql.datatypes
Interface DataType

All Superinterfaces:
  SQLObject

All Known Subinterfaces:
  ApproximateNumericDataType, ArrayDataType, BinaryStringDataType, BooleanDataType, CharacterStringDataType, CollectionDataType, ConstructedDataType, DataLinkDataType, DateDataType, DistinctUserDefinedType, Domain, ExactNumericDataType, FixedPrecisionDataType, IntegerDataType, IntervalDataType, MultisetDataType, NumberDataType, NumericalDataType, PredefinedDataType, ReferenceDataType, RowDataType, SQLDataType, StructuredUserDefinedType, TimeDataType, UserDefinedType, XMLDataType

All Known Implementing Classes:
  ApproximateNumericDataTypeImpl, ArrayDataTypeImpl, BinaryStringDataTypeImpl, BooleanDataTypeImpl, CharacterStringDataTypeImpl, CollectionDataTypeImpl, ConstructedDataTypeImpl, DataLinkDataTypeImpl, DataTypeImpl, DateDataTypeImpl, DistinctUserDefinedTypeImpl, DomainImpl, ExactNumericDataTypeImpl, FixedPrecisionDataTypeImpl, IntegerDataTypeImpl, IntervalDataTypeImpl, MultisetDataTypeImpl, NumericalDataTypeImpl, PredefinedDataTypeImpl, ReferenceDataTypeImpl, RowDataTypeImpl, SQLDataTypeImpl, StructuredUserDefinedTypeImpl, TimeDataTypeImpl, UserDefinedTypeImpl, XMLDataTypeImpl

public interface DataType
extends SQLObject

A representation of the model object 'Data Type'. Reference: 5WD-02-Foundation-2002-12 4.1 Data types

See Also:
  `SQLDataTypesPackage.getDataType()`

Method Summary
`void` `setContainer(TypedElement newContainer)` This method is used to set the type on the given Column.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### setContainer

    public void setContainer(TypedElement newContainer)

  This method is used to set the type on the given Column. It is implemented on the child classes of DataType. The concrete children classses will know which type relationship to use on Column to set the data type.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.